Skip to main content
Jump to: navigation, search

Difference between revisions of "GEF/New and Noteworthy/3.11"

(GEF4 Zest)
m (Redirected page to GEF/New and Noteworthy/4.0)
 
(7 intermediate revisions by 2 users not shown)
Line 1: Line 1:
__NOTOC__
+
#REDIRECT [[GEF/New and Noteworthy/4.0]]
* [http://www.eclipse.org/gef/newandnoteworthy/New-and-Noteworthy-30.html New and Noteworthy in 3.0]
+
* [http://www.eclipse.org/gef/newandnoteworthy/New-and-Noteworthy-35.html New and Noteworthy in 3.5]
+
* [[GEF/New and Noteworthy/3.6| New and Noteworthy in 3.6]]
+
* [[GEF/New and Noteworthy/3.7| New and Noteworthy in 3.7]]
+
* [[GEF/New and Noteworthy/3.8| New and Noteworthy in 3.8]]
+
* [[GEF/New and Noteworthy/3.9| New and Noteworthy in 3.9]]
+
* [[GEF/New and Noteworthy/3.10| New and Noteworthy in 3.10]]
+
* [[GEF/New and Noteworthy/3.10.1| New and Noteworthy in 3.10.1]]
+
 
+
== General ==
+
 
+
The [https://projects.eclipse.org/projects/tools.gef/releases/3.11.04.0.0-neon GEF 3.11.0/4.0.0 (Neon)] release provides minor revisions of the production components [https://www.eclipse.org/gef/draw2d/ Draw2d 3.x] (3.11.0), [https://www.eclipse.org/gef/gef_mvc/index.php GEF (MVC) 3.x] (3.11.0), and [https://www.eclipse.org/gef/zest/index.php Zest 1.x] (1.7.0), as well as minor or major revisions of the new [[GEF/GEF4|GEF4]] components (0.3.0/1.0.0). As declared in the [https://projects.eclipse.org/projects/tools.gef/releases/3.11.04.0.0-neon/plan project plan], the decision about whether GEF4 is provided in version 1.0.0 or 0.3.0 (and whether the overall release is a 4.0.0 or 3.11.0) will be made up to M5.
+
 
+
Please note that even if [https://projects.eclipse.org/projects/tools.gef/releases/3.11.04.0.0-neon GEF 3.11.1/4.0.0] may be a minor release, incompatible changes to the provisional API of GEF4 will be made. These are highlighted below as [INCOMPATIBLE CHANGE].
+
 
+
== GEF4 FX 0.3.0 ==
+
 
+
==== [INCOMPATIBLE CHANGE] Split FX.UI module into FX.SWT and FX.JFace modules (M2) ====
+
* [https://bugs.eclipse.org/bugs/show_bug.cgi?id=471154 #471154]
+
 
+
Renamed FX.UI module into FX.SWT module and added FXColorPicker, FXSimpleLinearGradientPicker, and FXAdvancedLinearGradientPicker, which were provided by MVC.FX.UI module before (refactored from AbstractFXColorPicker, FXColorPicker, FXSimpleGradientPicker, and FXAdvancedGradientPicker). Introduced new FX.JFace module, which provides FXPaintCellEditor and FXPaintSelectionDialog, which were provided by MVC.FX.UI module before (refactored from FXFillCellEditor and FXFillSelectionDialog).
+
 
+
==== [INCOMPATIBLE CHANGE] Moved over (and refactored) IFXCanvasFactory from MVC.UI ====
+
* [https://bugs.eclipse.org/bugs/show_bug.cgi?id=470636 #470636]
+
 
+
Moved over IFXCanvasFactory and changed signature of the create method to take an additional SWT style.
+
 
+
----
+
 
+
== GEF4 MVC 0.3.0 ==
+
 
+
==== [INCOMPATIBLE CHANGE] Moved cell editor, dialogs, and pickers from MVC.FX.UI to FX.SWT and FX.JFace (M2) ====
+
* [https://bugs.eclipse.org/bugs/show_bug.cgi?id=471154 #471154]
+
 
+
Refactored AbstractFXColorPicker, FXColorPicker, FXSimpleGradientPicker, and FXAdvancedGradientPicker and moved them into FX.SWT (renamed from FX.UI). Refactored FXFillCellEditor and FXFillSelectionDialog and moved them into FX.JFace.
+
 
+
== GEF4 Zest ==
+
 
+
==== [INCOMPATIBLE CHANGE] Factored out Zest.FX.JFace from Zest.FX.UI (M2) ====
+
* [https://bugs.eclipse.org/bugs/show_bug.cgi?id=470636 #470636]
+
 
+
Separeted out the Zest JFace-API into an own module, so it can be consumed without introducing dependencies on the Eclipse Workbench UI.
+

Latest revision as of 15:37, 26 January 2016

Back to the top